Folks.BackendStore.enable_backend – folks Reference Manual

# enable_backend

## Description:

public async void enable_backend (string name)

Enable a backend.

Mark a backend as enabled, such that the BackendStore will always attempt to load it when BackendStore.load_backends is called. This will not load the backend if it's not currently loaded.

This method is safe to call multiple times concurrently (e.g. an asynchronous call may begin after a previous asynchronous call for the same backend name has begun and before it has finished).

If the backend is disallowed by the FOLKS_BACKENDS_ALLOWED and/or FOLKS_BACKENDS_DISABLED environment variables, this method will store the fact that it should be enabled in future, but will not enable it during this application run.

## Parameters:

name | the name of the backend to enable

## Since:

0.3.2